package com.qqchen.deploy.backend.framework.annotation.formily;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({})
@Retention(RetentionPolicy.RUNTIME)
public @interface FormilyDecoratorProps {
    String tooltip() default "";          // 提示文本
    int labelCol() default 6;             // 标签列宽
    int wrapperCol() default 12;          // 组件列宽
    String labelAlign() default "right";  // 标签对齐方式
    String size() default "default";      // 尺寸
    boolean asterisk() default false;     // 星号标记
    boolean bordered() default true;      // 是否有边框
    boolean colon() default true;         // 是否有冒号
} 